polybori::groebner::LexBucket Class Reference

`#include <LexBucket.h>`

## Public Member Functions

| LexBucket (const BoolePolyRing &input_ring)
LexBucket & | operator+= (const Polynomial &p)
| LexBucket (const Polynomial &p)
void | clearFront ()
Exponent | leadExp ()
bool | isZero ()
void | updateTailStart ()
idx_type | getTailStart ()
void | increaseTailStart (idx_type new_start)
Polynomial | value ()
Polynomial | getFront ()
bool | isOne ()

## Public Attributes

BoolePolyRing | ring

## Static Public Attributes

static const int | var_group_size =1

## Constructor & Destructor Documentation

polybori::groebner::LexBucket::LexBucket | ( | const BoolePolyRing & | input_ring) |  |

inline

polybori::groebner::LexBucket::LexBucket | ( | const Polynomial & | p) |  |

inline

References polybori::BoolePolynomial::isConstant(), polybori::BoolePolynomial::isOne(), polybori::BoolePolynomial::isZero(), and polybori::groebner::without_prior_part().

## Member Function Documentation

void polybori::groebner::LexBucket::clearFront | ( | ) |  |

inline

Polynomial polybori::groebner::LexBucket::getFront | ( | ) |  |

inline

Referenced by polybori::groebner::nf3_lexbuckets().

idx_type polybori::groebner::LexBucket::getTailStart | ( | ) |  |

void polybori::groebner::LexBucket::increaseTailStart | ( | idx_type | new_start) |  |

References polybori::BoolePolynomial::isZero(), PBORI_ASSERT, and polybori::groebner::without_prior_part().

bool polybori::groebner::LexBucket::isOne | ( | ) |  |

inline

bool polybori::groebner::LexBucket::isZero | ( | ) |  |

References PBORI_ASSERT.

Referenced by polybori::groebner::nf3_lexbuckets().

Exponent polybori::groebner::LexBucket::leadExp | ( | ) |  |

Referenced by polybori::groebner::nf3_lexbuckets().

LexBucket & polybori::groebner::LexBucket::operator+= | ( | const Polynomial & | p) |  |

References polybori::groebner::without_prior_part().

void polybori::groebner::LexBucket::updateTailStart | ( | ) |  |

References polybori::BoolePolyRing::nVariables(), and polybori::BoolePolynomial::ring().

Polynomial polybori::groebner::LexBucket::value | ( | ) |  |

References polybori::BoolePolynomial::isConstant(), and polybori::BoolePolynomial::isOne().

Referenced by polybori::groebner::nf3_lexbuckets().

## Member Data Documentation

BoolePolyRing polybori::groebner::LexBucket::ring

const int polybori::groebner::LexBucket::var_group_size =1

static

The documentation for this class was generated from the following files:

- LexBucket.h
- LexBucket.cc